Bug 189095 - Incorrect globbing pulls extra sql dependencies in the main package
Summary: Incorrect globbing pulls extra sql dependencies in the main package
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: freeradius (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
high
Target Milestone: ---
Assignee: Thomas Woerner
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-04-16 01:46 UTC by Yanko Kaneti
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-01 13:53:45 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Yanko Kaneti 2006-04-16 01:46:21 UTC
%{_libdir}/rlm_sql*.so   in the main package files manifest includes all of
/usr/lib/rlm_sql_mysql-1.0.5.so
/usr/lib/rlm_sql_mysql.so
/usr/lib/rlm_sql_postgresql-1.0.5.so
/usr/lib/rlm_sql_postgresql.so
/usr/lib/rlm_sql_unixodbc-1.0.5.so
/usr/lib/rlm_sql_unixodbc.so

which we obviously don't want

Sugestion: change the glob to something like
-%{_libdir}/rlm_sql*.so
+%{_libdir}/rlm_sql-%{version}.so
+%{_libdir}/rlm_sql.so

This is also an issue with fc4 + updates.

Comment 1 Yanko Kaneti 2006-05-10 15:41:43 UTC
Lets change the severity to see if someone will notice.

Comment 2 Thomas Woerner 2006-06-01 13:53:45 UTC
Fixed in rawhide in rpm freeradius-1.1.1-1 or newer.


Note You need to log in before you can comment on or make changes to this bug.